
package de.ivu.elect.presentation.veranstaltung.table;

import de.ivu.elect.business.veranstaltung.entity.Veranstaltung;
import de.ivu.elect.business.veranstaltung.entity.VeranstaltungConstants;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class VeranstaltungVerknuepfteVeranstaltungColumn extends AbstractVeranstaltungColumn<Veranstaltung> {

  private static final long serialVersionUID = 1L;

  protected VeranstaltungVerknuepfteVeranstaltungColumn(Messages messages) {
    super(messages, VeranstaltungConstants.MESSAGE_KEY_VERKNUEPFTE_VERANSTALTUNG_ID_EINZAHL, ColumnType.STRING, entity->{
      if (entity.getVerknuepfteVeranstaltung() == null) {
        return null;
      }
      return entity.getVerknuepfteVeranstaltung().getBezeichnung();
    });
  }

}
